Where up to 100 sample applications ended up
GET
/api/public/v1/tik_tok_shop/samples/outcomesConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Operation id getTikTokShopSampleOutcomes
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/samples/outcomes?applicationIds=string" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| applicationIds | query | string | required |
| organization_id | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| items | array of object | |
| items[].[].applicationId | string | required |
| items[].[].approvedAt | string (date-time), nullable | |
| items[].[].content | object | |
| items[].[].content.firstPostedAt | string (date-time), nullable | |
| items[].[].content.videos | integer | |
| items[].[].content.views | number, nullable | |
| items[].[].contentFulfilled | boolean | |
| items[].[].contentPosted | boolean | |
| items[].[].creatorId | string, nullable | |
| items[].[].creatorUsername | string, nullable | |
| items[].[].currentState | string, nullable | |
| items[].[].found | boolean | required |
| items[].[].gmv | object, nullable | |
| items[].[].gmv.amount | string, nullable | |
| items[].[].gmv.currency | string, nullable | |
| items[].[].gmv.orders | integer | |
| items[].[].partnerName | string, nullable | |
| items[].[].products | array of object | |
| items[].[].products[].[].currentState | string | |
| items[].[].products[].[].nativeStatus | string, nullable | |
| items[].[].products[].[].productId | string, nullable | |
| items[].[].products[].[].stateTimestamps | object | |
| items[].[].reviewRecordedAt | string (date-time), nullable | |
| items[].[].shipped | boolean | |
| items[].[].shippedAt | string (date-time), nullable |
Example
{
"items": [
{
"applicationId": "string",
"approvedAt": "2026-11-01T15:04:05Z",
"content": {
"firstPostedAt": "2026-11-01T15:04:05Z",
"videos": 3,
"views": 125.5
},
"contentFulfilled": true,
"contentPosted": true,
"creatorId": "string",
"creatorUsername": "Example name",
"currentState": "string",
"found": true,
"gmv": {
"amount": "string",
"currency": "usd",
"orders": 3
},
"partnerName": "Example name",
"products": [
{
"currentState": "string",
"nativeStatus": "string",
"productId": "string",
"stateTimestamps": {}
}
],
"reviewRecordedAt": "2026-11-01T15:04:05Z",
"shipped": true,
"shippedAt": "2026-11-01T15:04:05Z"
}
]
}Errors: 400401404422429502with an error and usually a message. See errors.
Example values are made up from each field's type and name.